package com.conflux.web.controller.nft.domain;

import com.conflux.common.annotation.Excel;
import com.conflux.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * nft日志对象 nft_log
 *
 * @author conflux
 * @date 2022-06-02
 */
@Data
public class NftLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 公司名称
     */
    @Excel(name = "公司名称")
    private String unitName;

    /**
     * 上链数量
     */
    @Excel(name = "上链数量")
    private Integer nftNum;

}
