package com.conflux.web.controller.nft.domain;

import lombok.Data;

import java.util.List;

/**
 * @Author _007long
 * @Date 2022 05 31
 **/
public class NftNormal {
    /**
     * name : Herbie Starbelly
     * description : Friendly OpenSea Creature that enjoys long swims in the ocean.
     * image : https://storage.googleapis.com/opensea-prod.appspot.com/creature/50.png
     */

    private String name;
    private String description;
    private String image;
    private List<Attributes> attributes;
    /**
     * properties : {"preview_file":{"type":"string","description":"https://metadata.boxnft.io/sh/20.jpg"},"preview_file2":{"type":"string","description":"https://metadata.boxnft.io/sh/20.mp4"},"preview_file2_type":{"type":"mimeType","description":"video/mp4"}}
     */
    private String animation_url;

    @Override
    public String toString() {
        return "Nft{" +
                "name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", image='" + image + '\'' +
                ", attributes=" + attributes +
                '}';
    }

    @Data
    public static class Attributes {
        private String trait_type;
        private String value;
        private String display_type;
    }
}
