package com.conflux.web.controller.nft.redis.impl;

import com.conflux.web.controller.nft.redis.IRedisLimitService;
import com.conflux.web.controller.util.redis.RedisUtils;
import com.google.common.collect.ImmutableList;
import org.springframework.data.redis.core.script.RedisScript;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class RedisLimitServiceImpl implements IRedisLimitService {
    @Resource
    private RedisUtils redisUtils;

    @Override
    public Number execute(RedisScript<Number> redisScript, ImmutableList<Object> keys, int limitCount, int limitPeriod) {
        return redisUtils.execute(redisScript, keys, limitCount, limitPeriod);
    }
}
