package com.conflux.web.controller.nft.redis.impl;


import com.conflux.web.controller.nft.redis.IRedisNft;
import com.conflux.web.controller.util.common.RedisConstant;
import com.conflux.web.controller.util.redis.RedisUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RedisNftImpl implements IRedisNft {

    @Resource
    private RedisUtils redisUtils;

    @Override
    public boolean pushNft(List<String> tokenIds) {
        return redisUtils.lLeftPush(RedisConstant.NFTConstant.NFT_MINT, tokenIds) > 0;
    }

    @Override
    public Object popNft() {
        return redisUtils.lGetRightPop(RedisConstant.NFTConstant.NFT_MINT);
    }
}
