package com.conflux.web.controller.nft.service.impl;

import com.conflux.web.controller.nft.service.IHandlerStrategy;
import com.conflux.web.controller.nft.service.INftInfoV2Handler;
import conflux.web3j.Cfx;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Slf4j
@Service
public class HandlerStrategy implements IHandlerStrategy {

    @Resource
    private INftInfoV2Handler iNftInfoV2ImplHandler;

    @Override
    public boolean relayHandler(Cfx cfx, String json, int type) {
        if (type == 20000) {
            //nft 1155 采集
            log.info("transfer: {}", json);
            iNftInfoV2ImplHandler.send721NftTransfer(cfx, json);
            return true;
        }
        return false;
    }
}
