package com.conflux.web.controller.privateKey.domain;

import com.conflux.common.annotation.Excel;
import com.conflux.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 私钥申请对象 private_key
 * 
 * @author conflux
 * @date 2022-06-07
 */
@Data
public class PrivateKey extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String unitName;

    /** appid */
    @Excel(name = "appid")
    private String appId;

    /** 私钥 */
    @Excel(name = "私钥")
    private String privateKey;

    /** 0正常1禁用 */
    @Excel(name = "0正常1禁用")
    private String status;

}
