package com.conflux.quartz.domain;

import com.conflux.common.annotation.Excel;

import java.io.Serializable;

/**
 * conflux对象 collect_config
 *
 * @author conflux
 * @date 2022-05-31
 */
public class NftJob implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;

    /**
     * node
     */
    @Excel(name = "node")
    private String node;

    /**
     * limit_count
     */
    @Excel(name = "limit_count")
    private Integer limitCount;

    /**
     * chain_id
     */
    @Excel(name = "chain_id")
    private Integer chainId;

    /**
     * epoch_number
     */
    @Excel(name = "epoch_number")
    private Long epochNumber;

    /**
     * on_pause
     */
    @Excel(name = "on_pause")
    private Boolean onPause;

    /**
     * mint_pause
     */
    @Excel(name = "mint_pause")
    private Boolean mintPause;

    /**
     * createTime
     */
    @Excel(name = "createTime")
    private Long createTime;

    /**
     * updateTime
     */
    @Excel(name = "updateTime")
    private Long updateTime;

    @Excel(name = "帐号状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNode() {
        return node;
    }

    public void setNode(String node) {
        this.node = node;
    }

    public Integer getLimitCount() {
        return limitCount;
    }

    public void setLimitCount(Integer limitCount) {
        this.limitCount = limitCount;
    }

    public Integer getChainId() {
        return chainId;
    }

    public void setChainId(Integer chainId) {
        this.chainId = chainId;
    }

    public Long getEpochNumber() {
        return epochNumber;
    }

    public void setEpochNumber(Long epochNumber) {
        this.epochNumber = epochNumber;
    }

    public Boolean getOnPause() {
        return onPause;
    }

    public void setOnPause(Boolean onPause) {
        this.onPause = onPause;
    }

    public Boolean getMintPause() {
        return mintPause;
    }

    public void setMintPause(Boolean mintPause) {
        this.mintPause = mintPause;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
